Ubuntu 12.04 y el wifi que no funciona

Imagen de elgarras
0 puntos

Buenas tardes (eh, que aquí es por la tarde) y saludos cordiales...

Os vengo con una pregunta que, a buen seguro, muchos ya se han hecho pero, como este elemento (el hardware del que hablo) no lo he encontrado, abro tema nuevo... allá vamos

Tengo recien instalado el Ubuntu 12.04 LTS y todo va muy bien y es muy bonito... hasta que veo que me tiene la tarjeta wifi desactivada, al listar el hardware sale esto:

000-8bffffff
*-network:0 DESACTIVADO
descripción: Interfaz inalámbrica
producto: PRO/Wireless 2915ABG [Calexico2] Network Connection
fabricante: Intel Corporation
id físico: 7
información del bus: pci@0000:01:07.0
nombre lógico: eth1
versión: 05
serie: 00:0e:35:fb:29:8d
anchura: 32 bits
reloj: 33MHz
capacidades: pm bus_master cap_list ethernet physical wireless
configuración: broadcast=yes driver=ipw2200 driverversion=1.2.2kmprq firmware=ABG:9.0.5.27 (Dec 12 2007) latency=64 link=no maxlatency=24 mingnt=3 multicast=yes wireless=IEEE 802.11abg

Bien, ni corto ni perezoso trato de usar un wifi via USB muy majo que tengo y que, durante años, me ha ido muy bien con él... pero tate, eso fue con "el otro SO"... si, ya sabeis, EL INNOMBRABLE y al listarlo sale esto:

*-network DESACTIVADO
descripción: Interfaz inalámbrica
id físico: 1
información del bus: usb@1:4
nombre lógico: wlan0
serie: 00:08:d3:80:b0:e2
capacidades: ethernet physical wireless
configuración: broadcast=yes driver=r8712u multicast=yes wireless=unassociated

El elemento en cuestion es un Guillemot Corp. Hercules HWNUm-300 Wireless N mini, con el chip Realtek RTL8191SU

De este último he tratado de buscar Drivers, pero los que hay en la web del fabricante son para la version "Linux Kernel 2.6.18~2.6.38 and Kernel 3.0.2" y la que tiene mi SO es "3.5.0-28-generic", por lo que no vale ese driver....

Quiero usar alguna de las dos wifi que tengo, pero una esta inactiva y la otra sin driver....

¿¿¿¿ALGUIEN ME AYUDA????

Por adelantado, gracias por leeros este tocho

Imagen de Luis Leone
+1
0
-1

Si le das clic derecho al icono de red ,no te aparece un menú que diga,(Activar red,Activar inalámbrico,etc.),saludos.

+1
0
-1
Imagen de elgarras
+1
0
-1

Pues mira, aparece en el menú, pero no se puede seleccionar, es una opción que aparece deshabilitada

He probado hasta a instalar el driver de windows (del wifi usb) con la aplicacion esa de "ndiswapper" y nada

+1
0
-1
Imagen de Luis Leone
+1
0
-1

Intentaste instalar los paquetes de drivers que traen los repositorios oficiales de Ubuntu,desde Synaptic,saludos.

+1
0
-1
Imagen de elgarras
+1
0
-1

Explicoteadme eso con detenimiento vuestra merced, que ignorante de lo que me contáis me hallo y tal detalle bien merece una explicación, voto a tal

+1
0
-1
Imagen de Luis Leone
+1
-1
-1

Esto me lo paso alguien y solucione un problema parecido,para empezar debemos ir al terminal y escribimos

sudo software-properties-gtk&exit

Luego activamos todos los repositorios, excluyendo los del cd de ubuntu. Una vez hecho esto, cerramos la ventana y abrimos el terminal, y escribimos" sudo apt-get update" para actualizar las fuentes

Seguidamente debemos instalar las fuentes del kernel y tambien las cabeceras para ello escribimos:

sudo apt-get install linux-sources linux-headers-3.5.0-17-generic

Por ultimo ya podemos instalar los drivers desde el software-properties, synaptic o desde el terminal con el comando:

sudo apt-get install bcmwl-kernel-source

suerte y saludos.

+1
-1
-1
Imagen de elgarras
+1
0
-1

Hago lo que me indicas y va todo bien hasta la orden:
sudo apt-get install linux-sources linux-headers-3.5.0-17-generic

que me sale esto:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete linux-sources
E: No se ha podido localizar el paquete linux-headers-3.5.0-17-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-headers-3.5.0-17-generic»

pruebo esta variante, que tiene la versión concreta de kernel de mi sistema:
sudo apt-get install linux-sources linux-headers-3.5.0-28-generic

Y sale esto:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete linux-sources

Y cuando dice que algo no está hecho he aprendido a mosquearme y parar a preguntar por si las moscas.... prefiero perder tiempo en encontrar una confirmación o negación de que voy bien, antes que meter la pata y tener que rehacerlo todo.... si ya se que los tíos no solemos hacer eso de parar y preguntar el camino... pero esque no tengo mapa, gps y no conozco este terreno jajajajaja

+1
0
-1
Imagen de Goyo
+1
0
-1

Es linux-source.

PD. En todo caso bcmlw-kernel-source contiene controladores para Broadcom, a ti no te va a servir de nada.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Estimado compañero:

Debe usar un titulo que describa su problema. Con ese titulo así no puede publicar su hilo.

Edite el título y su hilo será reabierto.

Gracias.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de elgarras
+1
0
-1

Pues eso posyastá, del verbo posyastar, el título modificado... habría puesto esto anoche al hacerlo, pero me caía de sueño....

Gracias majo por el aviso y si lo vuelvo a hacer, me flagelaré con generosidad y profusión de alaridos, como castigo a mi felonía.

Un saludete

+1
0
-1
Imagen de Goyo
+1
0
-1

Quiero usar alguna de las dos wifi que tengo, pero una esta inactiva y la otra sin driver....

Puede que tengas razón, pero lshw dice que ambas están desactivadas y que ambas tienen un driver asignado.

Tal como yo lo veo el problema no son los drivers sino cómo activar el adaptador, aunque no tengo idea de cuál puede ser la solución.

+1
0
-1
Imagen de elgarras
+1
0
-1

ESE es el problema.... son detectados y son reconocidos.... pero no los activa o no los usa y ESO es lo que quiero, que se activen

+1
0
-1
Imagen de bean
+1
0
-1

13.04 para la arquitectura correspondiente.
Saludos.

+1
0
-1
Imagen de elgarras
+1
0
-1

Si tiene a bien explicarme esto vuesa merced, vive dios que le estaría muy agradecido.

+1
0
-1
Imagen de bean
+1
0
-1

y que no viva el Demonio, pues me refiero a que deberéis intentarlo con Raring, y si el proc. es 64 será la edición para 64; y, si es 32 será la versión de 32.
Si escribís uname -r sabremos el kernel que tenéis y es importante pues como hablais del 12.04 os hablan del kernel 3.5.0-17 - o del 28, que si habláseis del 13.04, que os propongo, el kernel sería 3.8.0-19-generic. ( Es por eso que habitualmente con las 12.04 hacían up al kernel 3.6 etc.).

+1
0
-1
Imagen de elgarras
+1
0
-1

... que el kernel, como ya dije arriba, es el "3.5.0-28-generic", de ahí que los driver del RTL no valgan, son para el 3.2 y la otra antena, la interna, estuve mirando y en la web del fabricante no dan drivers para ubuntu-linux y para win 7 ya no dan soporte ni drivers (por aquello de usar los de win con ubuntu)

Ahora bien... ¿qué es eso de "Raring"?
Voto a tal que si no lo decís no queda sino batirnos (Quevedo dixit)

+1
0
-1